Bug 832437 - Zip distributions has wrong file permission set
Zip distributions has wrong file permission set
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: unspecified (Show other bugs)
2.0.0.ER8
All Linux
unspecified Severity high
: ---
: 2.0.0.CR1
Assigned To: Marek Novotny
Karel Piwko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 07:57 EDT by Ondrej Skutka
Modified: 2012-06-22 03:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 03:53:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ZipInfo log for permissions in WFK 2.0.0.CR1 zips (4.43 MB, application/octet-stream)
2012-06-20 10:30 EDT, Karel Piwko
no flags Details

  None (edit)
Description Ondrej Skutka 2012-06-15 07:57:00 EDT
Description of problem:
Zip distribution of seam has wrong permissions:
- directories should have o-w set (for security reasons)
- files (except for seam) should have u-x set
Comment 2 Ondrej Skutka 2012-06-15 08:25:28 EDT
This applies for other zips as well
Comment 12 Karel Piwko 2012-06-20 10:29:40 EDT
Verified in WFK 2.0.0.CR1.

There are no directories with o+w, there are a few with g+w.
Comment 13 Karel Piwko 2012-06-20 10:30:43 EDT
Created attachment 593227 [details]
ZipInfo log for permissions in WFK 2.0.0.CR1 zips
Comment 14 Karel Piwko 2012-06-22 03:53:44 EDT
Closing as current release.

Note You need to log in before you can comment on or make changes to this bug.